Guardians
Get guardians
GET
Requires scope wallets:read.
ApiKeyheader
AuthorizationBearer <sk_test_ or sk_live_ key>Your sk_live_ / sk_test_ API key
id*unknownWallet id
Response Body
200application/json
Per-chain guardian enrolment state
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
401application/json
The Authorization header is missing, malformed, or the API key is unknown or revoked
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
429application/json
The API key exceeded its request budget for the window
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
Language
curl -X GET 'https://api.pilot.shiga.io/v1/wallets/{id}/guardians' \ -H 'Authorization: Bearer sk_test_...'Example Response
{ "data": { "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480", "ready": true, "chains": [ { "chain": "base", "state": "pending", "guardianSafe": "string", "pendingGuardianSafe": "string", "srmAddress": "string", "attempts": 0, "lastError": "string", "verifiedAt": "2019-08-24T14:15:22Z" } ] }, "status": 200, "success": true}